<template>
    <div class="the-edit-bar-button-group the-edit-bar-align-controls">
        <undo :editor="editor"/>
        <redo :editor="editor"/>
    </div>
</template>

<script setup lang="ts">
import makeButton from '../makeButton'
import makeIcon from '../makeIcon'
import type { TheEditor } from '../TheEditor'

defineProps<{
    editor?: TheEditor,
}>()

const Undo = makeButton({
    title: 'undo',
    shortcut: 'Ctrl + Z',
    content: makeIcon('undo'),
    active: _ed=>false,
    enabled: ed=>ed.can().undo(),
    action: ed => ed.chain().focus().undo().run()
})
const Redo = makeButton({
    title: 'redo',
    shortcut: 'Ctrl + Y',
    content: makeIcon('redo'),
    active: _ed=>false,
    enabled: ed=>ed.can().redo(),
    action: ed => ed.chain().focus().redo().run()
})
</script>